commit:     d7e369070301bb74a82847ab545a52287e69a9c1
Author:     Gerhard Bräunlich <wippbox <AT> gmx <DOT> net>
AuthorDate: Fri Oct 21 08:21:12 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Oct 21 18:49:15 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7e36907

sci-calculators/pcalc: EAPI bump 4 -> 6

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/2615

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-calculators/pcalc/pcalc-3-r1.ebuild | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/sci-calculators/pcalc/pcalc-3-r1.ebuild 
b/sci-calculators/pcalc/pcalc-3-r1.ebuild
new file mode 100644
index 00000000..cb90924
--- /dev/null
+++ b/sci-calculators/pcalc/pcalc-3-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="the programmers calculator"
+HOMEPAGE="https://github.com/vapier/pcalc";
+SRC_URI="mirror://sourceforge/pcalc/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="sys-devel/flex"
+RDEPEND=""
+
+src_prepare() {
+       default
+       sed -i -e "s:/usr:${EPREFIX}/usr:g" Makefile || die
+}
+
+src_configure() {
+       tc-export CC
+}

Reply via email to